# Docsy hugo deploy

Skrypt umożliwia szybki automatyczny deploy dokumentacji opartej o [docsy](https://www.docsy.dev/docs/).

# Zawiera

`.gitignore` dla hugo 
`init.sh` skrypt inicjujący repozytorium dla docsy (subrepo dla tematu)
`.drone.yml` skrypt do automatycznego deploymentu

# Wymagania

- [drone.io cli](https://docs.drone.io/cli/install/)
- [hugo](https://gohugo.io/getting-started/installing/)

# Użycie

Musimy aktywować repozytorium na naszym drone.io

```
cat ${args[0]} |awk -F\= '{system("drone secret add --repository='${args[1]}' --name="$1 "  --data="$2)}'
```

Wymagane zmienne:

```
domain=
site_path=
ssh_host=
ssh_username=
ssh_password=
ssh_port=
```

